Page MenuHomePhabricator

Populate echo_unread_wikis table on all wikis
Closed, ResolvedPublic

Description

By running extensions/Echo/maintenance/backfillUnreadWikis.php on all wikis where Echo is installed and $wmgEchoUseCrossWikiTrackingTable is true.

Event Timeline

Catrope created this task.Jan 20 2016, 9:24 PM
Catrope claimed this task.
Catrope raised the priority of this task from to Normal.
Catrope updated the task description. (Show Details)
Catrope added subscribers: Aklapper, Catrope.
Catrope updated the task description. (Show Details)Jan 20 2016, 9:44 PM
Catrope set Security to None.
Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptJan 20 2016, 10:04 PM

Ran successfully on test2wiki:

catrope@terbium:/srv/mediawiki/php-1.27.0-wmf.11$ mwscript extensions/Echo/maintenance/backfillUnreadWikis.php test2wiki
Updated 300 users.
Updated 600 users.
Updated 900 users.
Updated 1200 users.
Updated 1500 users.
Updated 1800 users.
Updated 2100 users.
Updated 2400 users.
Updated 2700 users.
Updated 3000 users.
Updated 3300 users.
Updated 3600 users.
Updated 3900 users.
Updated 4200 users.
Updated 4500 users.
Updated 4800 users.
Updated 5100 users.
Updated 5400 users.
Updated 5635 users.

Ran successfully on testwiki too, with similar uneventful/boring results.

Whoever does this on the remaining wikis, please do what I didn't and measure how long it takes. I'd like to have that information for future reference.

Catrope removed Catrope as the assignee of this task.Jan 22 2016, 12:54 AM

I've done this on the list of wikis that are about to get cross-wiki notifications. I didn't write down the duration for each wiki, but what I remember is it took 30 hours on mediawikiwiki, about 25 hours on Commons, and 13 hours on Wikidata.

I just started a cluster-wide run with catrope@terbium:/srv/mediawiki/php-1.27.0-wmf.15$ foreachwiki extensions/Echo/maintenance/backfillUnreadWikis.php

Catrope closed this task as Resolved.Mar 22 2016, 4:13 PM

This finished some time over the weekend.